Name:           fuse-emulator-utils
Version:        0.10.0.1
Release:        5%{?dist}
Summary:        Additional utils for the Fuse spectrum emulator
Group:          Applications/Emulators
License:        GPLv2+
URL:            http://fuse-emulator.sourceforge.net
Source:         http://downloads.sourceforge.net/fuse-emulator/fuse-utils-%{version}.tar.gz
Patch0:		fuse-utils-0.10.0.1-dso.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  audiofile-devel >= 0.2.3
BuildRequires:  glib2-devel
BuildRequires:  libspectrum-devel >= 0.5.0
BuildRequires:  zlib-devel

%description
A collection of utilities for the Fuse ZX-Spectrum emulator


%prep
%setup -q -n fuse-utils-%{version}
%patch0 -p1 -b .dso


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_mandir}/man1/*.1.gz
%{_bindir}/*
%doc AUTHORS COPYING README ChangeLog


%changelog
* Sat Feb 13 2010 Lucian Langa <cooly@gnome.eu.org> - 0.10.0.1-5
- update build requires

* Sat Feb 13 2010 Lucian Langa <cooly@gnome.eu.org> - 0.10.0.1-4
- fix implicit dso linking (#565062)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 13 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10.0.1-1
- new upstream package (package was missing files)

* Wed Dec 10 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10.0-2
- upstream released broken package (missing files)

* Fri Dec 05 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10.0-1
- new upstream 0.10.0 release

* Sat Aug 23 2008 Lucian Langa <cooly@gnome.eu.org> - 0.9.0-3
fix for #458818

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.0-2
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 Ian Chapman <packages[AT]amiga-hardware.com> 0.9.0-1
- Upgrade to 0.9.0
- Added several new BRs for the new version

* Tue Aug 21 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.8.0.1-2
- Release bump for F8 mass rebuild
- License change due to new guidelines

* Sat Jul 07 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.8.0.1-1
- Upgrade to 0.8.0.1
- Various cleanups to the SPEC including conforming to new guidelines

* Sat Sep 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.0-5
- rebuild

* Sun Jun 4 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.0-4
- Spec file fixes
- Added back in the 64 bit architecture

* Thu Feb 9 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.0-3
- Included ExcludeArch for x86_64 and ia64
- Fixed the package name correctly

* Fri Jan 13 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.0-2
- Renamed packed to fuse-emulator-utils

* Thu Sep 1 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-1.fc
- Initial build for FC
